Get a survey
curl --request GET \
--url https://app.nautilus.co/api/v1/surveys/{surveyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.nautilus.co/api/v1/surveys/{surveyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nautilus.co/api/v1/surveys/{surveyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"surveyType": "<string>",
"name": "<string>",
"description": "<string>",
"isPublished": true,
"config": {
"questionText": "<string>",
"incentiveInstructions": "<string>",
"incentiveClaimInstructions": "<string>",
"reviewButtonText": "<string>",
"lowScoreFreetextLabel": "<string>",
"lowScoreFreetextPlaceholder": "<string>",
"highScoreFreetextLabel": "<string>",
"highScoreFreetextPlaceholder": "<string>",
"submitButtonText": "<string>",
"lowScaleLabel": "<string>",
"highScaleLabel": "<string>",
"successMessage": "<string>",
"enableLocationSelection": true,
"incentiveEnabled": true,
"freetextThreshold": 123,
"visibleLocationIds": [
"<string>"
],
"categoryContent": {
"negative": {
"label": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>",
"freetextPlaceholder": "<string>"
},
"neutral": {
"label": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>",
"freetextPlaceholder": "<string>"
},
"positive": {
"label": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>",
"freetextPlaceholder": "<string>"
},
"detractor": {
"label": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>",
"freetextPlaceholder": "<string>"
},
"passive": {
"label": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>",
"freetextPlaceholder": "<string>"
},
"promoter": {
"label": "<string>",
"buttonText": "<string>",
"buttonUrl": "<string>",
"freetextPlaceholder": "<string>"
}
},
"freetextLabel": "<string>",
"freetextPlaceholder": "<string>",
"enableFreetext": true,
"freetextRequired": true,
"satisfactionLabel": "<string>",
"notesLabel": "<string>",
"notesPlaceholder": "<string>",
"redirectInterstitialMessage": "<string>",
"redirectInterstitialButtonText": "<string>",
"enableSatisfaction": true,
"enableNotes": true,
"notesRequired": true,
"redirectInterstitialEnabled": true
},
"publicUrl": "<string>",
"parentSurveyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Surveys
Get a survey
Returns the resource only when it belongs to the organization encoded in the tenant API key. Missing and cross-tenant identifiers both return 404.
GET
/
api
/
v1
/
surveys
/
{surveyId}
Get a survey
Authorizations
Clerk tenant API key. The organizationId encoded by the key is the exact and only tenant scope.
Path Parameters
Response
Tenant-scoped resource.
Sanitized public survey configuration; internal metadata and integration configuration are excluded.
Allowlisted survey configuration. Webhooks, provider settings, credentials, tokens, workflow payloads, and internal metadata are excluded.
Show child attributes
Show child attributes
UTC ISO 8601 timestamp.
UTC ISO 8601 timestamp.
⌘I

